﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ROTools.ROWebLogin {


    /// <summary>
    /// 認証コード入力用フォーム
    /// </summary>
    public partial class IDLockAuthCodeInputForm : Form {

        /// <summary>
        /// 入力されたコード
        /// </summary>
        public string AuthCode {
            get;
            set;
        }


        /// <summary>
        /// コンストラクタ
        /// </summary>
        public IDLockAuthCodeInputForm() {
            InitializeComponent();
        }

        /// <summary>
        /// フォーム初期化処理
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void IDLockAuthUrlInputForm_Load(object sender, EventArgs e) {
            AuthCode = "";
            authCodeTextBox.Text = "";
            this.WindowState = FormWindowState.Normal;
            authCodeTextBox.Focus();
        }

        /// <summary>
        /// OKボタン押下時
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void okButton_Click(object sender, EventArgs e) {
            AuthCode = authCodeTextBox.Text;
        }
    }
}
