﻿using System;
using System.Collections.Generic;
using System.Text;

namespace ROTools.ROWebLogin {

    /// <summary>
    /// 電話認証確認用データ
    /// </summary>
    public class IVRAuthConfirmEventArgs : EventArgs {

        /// <summary>
        /// コンストラクタ
        /// </summary>
        public IVRAuthConfirmEventArgs() {
            AuthCode = null;
            Cancel = false;
        }

        /// <summary>
        /// 認証コード
        /// </summary>
        public string AuthCode {
            get;
            set;
        }

        /// <summary>
        /// 認証実行キャンセル
        /// </summary>
        public bool Cancel {
            get;
            set;
        }

    }

}
