﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ROTools.ROWebLogin {


    /// <summary>
    /// OTP入力用フォーム
    /// </summary>
    public partial class OtpInputForm : Form {

        /// <summary>
        /// 入力されたOTP
        /// </summary>
        public string Otp {
            get;
            set;
        }


        /// <summary>
        /// コンストラクタ
        /// </summary>
        public OtpInputForm() {
            InitializeComponent();
        }

        /// <summary>
        /// フォーム初期化処理
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void OtpInputForm_Load(object sender, EventArgs e) {
            Otp = "";
            otpTextBox.Text = "";
            this.WindowState = FormWindowState.Normal;
            otpTextBox.Focus();
        }

        /// <summary>
        /// OKボタン押下時
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void okButton_Click(object sender, EventArgs e) {
            Otp = otpTextBox.Text;
        }
    }
}
